What version of the kernel does Ubuntu Mobile need?

Registered by Amit Kucheria on 2008-03-18

The kernel team plans to maintain a separate kernel git tree for the Ubuntu Mobile flavours (lpia and lpiacompat currently). This is to allow for more rapid response to UME-specific issues _and_ to decouple UME from general kernel breakages during the development cycle.

Blueprint information

Status:
Complete
Approver:
David Mandala
Priority:
Undefined
Drafter:
Amit Kucheria
Direction:
Needs approval
Assignee:
Amit Kucheria
Definition:
Approved
Series goal:
None
Implementation:
Informational Informational
Milestone target:
None
Started by
David Mandala on 2009-02-07
Completed by
David Mandala on 2009-02-07

Related branches

Sprints

Whiteboard

There are NO CHANGES in the kernel for LPIA. There are no optimizations to the .config neither are there patches to the LPIA kernel. If the kernel is not different why do we need a different architecture?
- FRINK

This was a specification for intrepid; we're targeting jaunty now. The reason we wanted a separate source tree was:
- to control ABI bumps separately (not get an ABI bump when main source was uploaded, have our own ABI bumps when needed)
- to add / change lpia specific drivers in the tree such as USB client or Poulsbo DRM
(I suggest you ask further questions to the Ubuntu Mobile or Kernel teams instead of using the whiteboard.)
-- LoicMinier

(?)

Work Items

This blueprint contains Public information 
Everyone can see this information.